HighLowChart (Hyperic HQ Plugin API)
Keywords: org.hyperic.image.chart.HighLowChart class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.image.chart
Class HighLowChart

    java.lang.Object
      org.hyperic.image.WebImage
          org.hyperic.image.chart.Chart
              org.hyperic.image.chart.VerticalChart
                  org.hyperic.image.chart.ColumnChart
                      org.hyperic.image.chart.HighLowChart

    public class HighLowChart

extends ColumnChart

HighLowChart draws a horizontal chart with columns that display the high, low and average values for each time unit on the chart. For a description of how to use LineChart, see net.hyperic.chart.Chart.

See Also:
  `net.hyperic.chart.Chart`

Field Summary
`protected static java.awt.Color` | `DEFAULT_HIGHLOW_COLOR`
`protected static int` | `DEFAULT_HIGHLOW_HEIGHT`
`java.awt.Color` | `HighLowColor` Color of High-Low bars.

Fields inherited from class org.hyperic.image.chart.ColumnChart
`columnColor, columnWidth, DEFAULT_COLUMN_COLOR, DEFAULT_COLUMN_WIDTH, isCumulative`

Fields inherited from class org.hyperic.image.chart.VerticalChart
`DANGER_COLOR, DEFAULT_COLOR, GOOD_COLOR, UNKNOWN_COLOR`

Fields inherited from class org.hyperic.image.chart.Chart
`ARG_MUST_BE_ZERO_OR_GREATER, averageLineColor, AVG, baseline, BASELINE, baselineColor, ceiling, chartColor, DEFAULT_LABEL_FONT, DEFAULT_LEGEND_FONT, DEFAULT_LEGEND_PLAIN, DEFAULT_UNIT_LEGEND, DEFAULT_VALUE_LEGEND, EMPTY_STRING, floor, highRange, highRangeColor, legendFont, legendTextColor, lineWidth, LOW, lowLineColor, lowRange, lowRangeColor, m_adRangeMarks, m_bNoData, m_dAvgValue, m_dLowValue, m_dPeakValue, m_floor, m_fmtScale, m_fmtType, m_metricsLabel, m_metricsLegend, PEAK, peakLineColor, rightLabelWidth, showAverage, showBaseline, showBottomLabels, showBottomLegend, showEvents, showFullLabels, showHighRange, showLeftLabels, showLeftLegend, showLow, showLowRange, showPeak, showRightLabels, showRightLegend, showTopLabels, showTopLegend, showUnitLines, showValueLines, showValues, textWhitespace, tickMarkHeight, valueIndent, valueLines, VARIABLE_HEIGHT, VARIABLE_WIDTH, x2VertLabels, x2VertMarks, xLabelsSkip, xLineColor, xOffset, xRLabel, xVertLegend, xVertMarks, yBottomLegend, yHorzLabels, yOffset, yTopLegend`

Fields inherited from class org.hyperic.image.WebImage
`antiAliased, ARG_CANNOT_BE_NULL, backgroundColor, bottomBorder, DEFAULT_BACKGROUND_COLOR, DEFAULT_BOLD_TYPEFACE, DEFAULT_BORDER_COLOR, DEFAULT_BORDER_SIZE, DEFAULT_FONT, DEFAULT_FONT_METRICS, DEFAULT_HEIGHT, DEFAULT_PLAIN_TYPEFACE, DEFAULT_SHADOW_WIDTH, DEFAULT_WIDTH, font, frameImage, height, indexColors, leftBorder, m_graphics, rightBorder, shadowWidth, SMALL_FONT, textColor, topBorder, width`

Constructor Summary
`HighLowChart()`
`HighLowChart(int width)`
`HighLowChart(int width, int height)`

Method Summary
`protected void` | `calcRanges()` Calculates the high, low and average values of the chart data set.
`java.awt.Color` | `getHighLowLineColor()` Retrieves the color of the high-low line.
`protected void` | `init()`
`protected void` | `paint(ChartGraphics g, java.awt.Rectangle rect)`
`void` | `setHighLowLineColor(java.awt.Color value)` Sets the color of the columns.

Methods inherited from class org.hyperic.image.chart.ColumnChart
`checkHighLow`

Methods inherited from class org.hyperic.image.chart.VerticalChart
`adjustBorders, adjustRectangle, draw, findDataPointIndex, getCumulativeTrend, getDataPoint, getDataPoint, getDataPointEventIndexes, getInteriorRectangle, getXLabels, getXPoints, getYLabelWidth, initData, setCumulativeTrend, setTimeScale`

Methods inherited from class org.hyperic.image.chart.Chart
`calc, calcVariableHeight, calcVariableWidth, draw, getAverageValue, getDataCollectionClass, getDataPoint, getDataPoints, getDataPoints, getDataSetCount, getDataSetIterator, getDisplayPoint, getEventPoints, getEventPoints, getEventSetIterator, getExteriorHeight, getExteriorRectangle, getLowValue, getNoDataString, getPeakValue, getTitle, getUnitLabel, getUnitLegend, getValueLegend, getXLabelHeight, getXLabelWidth, getXLegendHeight, hasData, initFonts, postInit, preInit, scale, setAbsTimeLabels, setFormat, setNoDataString, setNumberDataSets, setTitle, setUnitLegend, setValueLegend`

Methods inherited from class org.hyperic.image.WebImage
`getFontMetrics, getImage, getTextCenter, getTextCenter, getTextCenter, isRunnable, setBorder, writeJpegImage, writeJpegImage, writePngImage, writePngImage`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT_HIGHLOW_COLOR

    protected static final java.awt.Color DEFAULT_HIGHLOW_COLOR

### DEFAULT_HIGHLOW_HEIGHT

    protected static final int DEFAULT_HIGHLOW_HEIGHT

See Also:
  Constant Field Values

### HighLowColor

    public java.awt.Color HighLowColor

  Color of High-Low bars.

Constructor Detail

### HighLowChart

    public HighLowChart()

### HighLowChart

    public HighLowChart(int width)

### HighLowChart

    public HighLowChart(int width,
                        int height)

Method Detail

### init

    protected void init()

  Overrides:
    `init` in class `ColumnChart`

### getHighLowLineColor

    public java.awt.Color getHighLowLineColor()

  Retrieves the color of the high-low line.

  Returns:
    A java.awt.Color object that contains the color of the columns.
  See Also:
    `Color`

### setHighLowLineColor

    public void setHighLowLineColor(java.awt.Color value)

  Sets the color of the columns.

  Parameters:
    `value` - A java.awt.Color object that contains the color of the high-low line.
  Throws:
    `java.lang.IllegalArgumentException` - If the value parameter is null.
  See Also:
    `Color`

### paint

    protected void paint(ChartGraphics g,
                         java.awt.Rectangle rect)

  Overrides:
    `paint` in class `ColumnChart`

### calcRanges

    protected void calcRanges()

  Description copied from class: `Chart`
  Calculates the high, low and average values of the chart data set.

  Overrides:
    `calcRanges` in class `Chart`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.